Ошибка Android 3.0 Canary: Неподдерживаемая версия major.minor 52.0

Обновление: я решил это по рекомендации https://stackoverflow.com/a/37712635/288724

Эта ссылка не предоставила хорошее решение для Android Studio Unsupported major.minor version 52.0

Но эта ссылка https://stackoverflow.com/a/37712635/288724 помогла мне.

Я видел, как многие люди раньше сталкивались с подобной проблемой. Тем не менее, мой Android Studio 2.3.2 работает отлично, проблема просто проявилась, когда я использую Android Studio 3.0 Canary 1 с поддержкой kotlin .

Информация об ошибке следующая:

Error:(1, 1) A problem occurred evaluating project ':app'. > java.lang.UnsupportedClassVersionError: com/android/build/gradle/AppPlugin : Unsupported major.minor version 52.0 

Может ли кто-нибудь дать мне какие-либо предложения? Большое спасибо!